Bug 492160 - gpk-application does not activate the find button on pasting text
gpk-application does not activate the find button on pasting text
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 12:59 EDT by Jakub Hrozek
Modified: 2009-06-15 22:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.27.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 06:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2009-03-25 12:59:09 EDT
Description of problem:
When the gpk-application is launched, the find button is disabled by default and activated when the user types in a search string. However, this does not happen with text pasted into the search box - the button is still inactive.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.14-1.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. put some text into clipboard
2. fire up gpk-application
3. paste the text into the search field
  
Actual results:
the Find button is inactive

Expected results:
the Find button is activated
Comment 1 Richard Hughes 2009-03-27 09:09:12 EDT
Seems to work for me on rawhide, is this F10 specific?
Comment 2 Jakub Hrozek 2009-03-27 09:26:24 EDT
(In reply to comment #1)
> Seems to work for me on rawhide, is this F10 specific?  

I can see the bug on rawhide (0.4.5-3.fc11, running in VM, but should not make a difference), too. It doesn't happen when pasting via keyboard (i.e. Ctrl+V), but I can see the bug when pasting via mouse middle-click.
Comment 3 vfiend 2009-04-03 21:27:55 EDT
Applies to middle click pasting only
Comment 4 Richard Hughes 2009-04-06 06:18:22 EDT
commit db438685268657a3be8abd8a7f45e51fc75f164b
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Apr 6 11:17:04 2009 +0100

    bugfix: do the find callback when we paste text into the add-remove software window. Fixes rh#492160
Comment 5 Fedora Update System 2009-06-01 06:56:51 EDT
gnome-packagekit-2.27.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-packagekit-2.27.2-1.fc11
Comment 6 Fedora Update System 2009-06-15 22:22:20 EDT
gnome-packagekit-2.27.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.